Subject: Re: debugging git clone via git-daemon "cannot handle daemon internally"

From: John Griessen <[email-masked]>
Date: Fri, 07 Jan 2011 20:37:06 -0600

On 01/07/2011 05:42 PM, Jonathan Nieder wrote:
> Perhaps you have inetd set up to try to run git with argv[0] set
> to git-daemon?  git-daemon (daemon.c) has its own "main" so it
> would take something of that nature to produce this symptom.

Hmm..   My debian server has no control for inetd in /etc/init.d/
so I rebooted it to see if anything is different.  I was using an
inetd entry before...  maybe it was still running when I did that test.

After reboot:

--------------
john@toolbench:~/FABprojects/VRBO_apt$ telnet mail.cibolo.us 9418
Trying 76.191.252.85...
Connected to mail.cibolo.us.
Escape character is '^]'.

Connection closed by foreign host.

-----------------

So, the symptom changed.  No "cannot handle daemon internally" response.
Your powers of deduction are equal to any nefarious Moriarty-like character
out there it seems!

I'll test further soon.

JG

-- 
Ecosensory   Austin TX